### Method

# Gtk PageSetupload_key_file

#### Declaration [src]

    gboolean
    gtk_page_setup_load_key_file (
      GtkPageSetup* setup,
      GKeyFile* key_file,
      const char* group_name,
      GError** error
    )

#### Description [src]

Reads the page setup from the group `group_name` in the key file `key_file`.

#### Parameters

`key_file`

  Type: `GKeyFile`

  The `GKeyFile` to retrieve the page_setup from.

  The data is owned by the caller of the method.

`group_name`

  Type: `const char*`

  The name of the group in the key_file to read to use the default name “Page Setup”

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success.